"""
Entity module

This file is autogenerated from api specifications
"""

# Python 2 compatibility
from __future__ import unicode_literals
from builtins import str  # noqa
from builtins import super

from mbed_cloud.sdk.common.entity import Entity
from mbed_cloud.sdk.common import fields
from mbed_cloud.sdk import enums


class VerificationResponse(Entity):
    """Represents the `VerificationResponse` entity in Mbed Cloud"""

    # all fields available on this entity
    _fieldnames = ["message", "successful"]

    # common renames used when mapping {<API spec>: <SDK>}
    _renames = {}

    def __init__(self, _client=None, message=None, successful=None):
        """Creates a local `VerificationResponse` instance

        :param message: Provides details in case of failure.
        :type message: str
        :param successful: Indicates whether the certificate issuer was verified
            successfully.
        :type successful: bool
        """

        super().__init__(_client=_client)

        # inline imports for avoiding circular references and bulk imports

        # fields
        self._message = fields.StringField(value=message)
        self._successful = fields.BooleanField(value=successful)

    @property
    def message(self):
        """Provides details in case of failure.
        
        api example: 'message describing the verification failure'
        
        :rtype: str
        """

        return self._message.value

    @message.setter
    def message(self, value):
        """Set value of `message`

        :param value: value to set
        :type value: str
        """

        self._message.set(value)

    @property
    def successful(self):
        """Indicates whether the certificate issuer was verified successfully.
        
        :rtype: bool
        """

        return self._successful.value

    @successful.setter
    def successful(self, value):
        """Set value of `successful`

        :param value: value to set
        :type value: bool
        """

        self._successful.set(value)
